Problemas com driver Nvidia (710M)

Olá pessoal, tenho um notebook híbrido com um i7 + uma nvidia 710m e venho tendo problemas para utilizar distros linux graças ao driver desta placa…

No windows, o driver acompanha a versão mais recente (400 e poucas), mas no linux, a única versão que consigo utilizar é a 340 e somente quando o driver proprietário vem habilitado por padrão (quando o sistema instala o noveau e eu faço a troca posteriormente, a interface só não aparece no proximo reboot). Até cheguei a testar se realmente precisaria do driver mais recente, mas a diferença de desempenho entre com windows e com linux foi grande :frowning:

Notas:
-Antes que indiquem, já testei os tutorais do Ricardo (cara do ti) e os demais do blog diolinux
-Nas distros que vem com o driver mais recente (ubuntu 19.04/19.10) tive o mesmo problema

Já testou o Pop!_OS?

Olá @_adhriel tudo beleza?

De acordo com essa página aqui da Nvidia essa placa é suportada pelo “driver legacy” que atualmente está na versão 390xx. No Pop!Os 19.04 (por causa do Ubuntu) esse driver está disponível para instalação.
Possivelmente o Pop!OS versão NVIDIA funcionaria de boa, mas, o Ubuntu 19.04 também deveria ter funcionado.

https://www.nvidia.com/en-us/drivers/unix/legacy-gpu/

2 Curtidas

Só pra constar, os drivers NVIDIA do Pop!_OS não são os mesmos do Ubuntu, a compilação e o empacotamento é feito pela própria equipe do Pop!_OS.

Eu tive melhores experiências usando os drivers do Pop!_OS.

Fala @anon17586640, beleza?

Cara, realmente tem muita coisa que o pessoal da System76 aprimora com base nas fontes do Ubuntu, mas falando especificamente do driver 390 do exemplo é o mesmo pacote da Canonical vindo direto dos repositórios do Ubuntu.

APT-Sources: http://us.archive.ubuntu.com/ubuntu disco/restricted amd64 Packages
Description: NVIDIA driver metapackage
This metapackage depends on the NVIDIA binary driver and on all of its libraries,
to provide hardware acceleration for OpenGL/GLX/EGL/GLES/Vulkan
applications on either X11 or on Wayland.

Já o driver 435 realmente é um pacote fornecido pela System76

APT-Sources: http://ppa.launchpad.net/system76/pop/ubuntu disco/main amd64 Packages
Description: NVIDIA driver metapackage
This metapackage depends on the NVIDIA binary driver and on all of its libraries,
to provide hardware acceleration for OpenGL/GLX/EGL/GLES/Vulkan
applications on either X11 or on Wayland.

:vulcan_salute:

1 Curtida

Eu uso o 435, imaginei que as demais versões também viessem do repositório deles.

1 Curtida

Tenho aqui um all in one da hp com placa hibrida NVIDIA GeForce GT 730M e Intel Corporation Xeon E3-1200 v3/4th Generation funcionando muito bem em um Mint 19.2 e com o driver Nvidia 390.

2 Curtidas

Boa tarde pessoal e obrigado pelas respostas!!

Já testei sim o Pop. Mas não me lembro se ativei a opção de softwares de terceiros na hora da instalação… Vou tentar de novo e já retorno resultado.

E aproveitando que o @anon17586640 apareceu no tópico, gostaria muito de usar o Radix, mas também tive esse problema com ele :frowning:

1 Curtida